<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>eRPC Generator (erpcgen): CGenerator.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="customdoxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eRPC Generator (erpcgen)
   &#160;<span id="projectnumber">Rev. 1.4.0</span>
   </div>
   <div id="projectbrief">NXP Semiconductors</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_c_generator_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">CGenerator.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2014-2016, Freescale Semiconductor, Inc.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> * Copyright 2016 NXP</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * All rights reserved.</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Redistribution and use in source and binary forms, with or without modification,</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * are permitted provided that the following conditions are met:</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * o Redistributions of source code must retain the above copyright notice, this list</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> *   of conditions and the following disclaimer.</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * o Redistributions in binary form must reproduce the above copyright notice, this</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> *   list of conditions and the following disclaimer in the documentation and/or</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> *   other materials provided with the distribution.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * o Neither the name of the copyright holder nor the names of its</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> *   contributors may be used to endorse or promote products derived from this</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> *   software without specific prior written permission.</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment"> * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment"> * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment"> * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment"> * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment"> * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment"> * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef _EMBEDDED_RPC__CGENERATOR_H_</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define _EMBEDDED_RPC__CGENERATOR_H_</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;Generator.h&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;cpptempl.h&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &lt;set&gt;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">// Classes</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceerpcgen.html">erpcgen</a></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html">   48</a></span>&#160;<span class="keyword">class </span><a class="code" href="classerpcgen_1_1_c_generator.html">CGenerator</a> : <span class="keyword">public</span> <a class="code" href="classerpcgen_1_1_generator.html">Generator</a></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#abb4d628bac4faeb30f1570212b620e0c">   58</a></span>&#160;    <a class="code" href="classerpcgen_1_1_c_generator.html#abb4d628bac4faeb30f1570212b620e0c">CGenerator</a>(<a class="code" href="classerpcgen_1_1_interface_definition.html">InterfaceDefinition</a> *def)</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    : <a class="code" href="classerpcgen_1_1_generator.html">Generator</a>(def)</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    , <a class="code" href="classerpcgen_1_1_c_generator.html#a5abf335ef40d3fed8a003fdc92997615">m_generateClientOutput</a>(true)</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    , <a class="code" href="classerpcgen_1_1_c_generator.html#adbc1e20ed8e905967286e57a9f738b76">m_generateServerOutput</a>(true)</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    {</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    }</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00070"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#ad9dfc9c3bcf1a98b668cbf448c8224ff">   70</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classerpcgen_1_1_c_generator.html#ad9dfc9c3bcf1a98b668cbf448c8224ff">~CGenerator</a>() {}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#ab9c6578a4bc52f0f722ce98fc6b74700">generate</a>();</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="keyword">protected</span>:</div><div class="line"><a name="l00080"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#aaf2db6f44ddc5540171b63089d4f2fbd">   80</a></span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#aaf2db6f44ddc5540171b63089d4f2fbd">m_templateData</a>; </div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="comment">// TODO: not sure how to get rid of these members yet. Talk to Chris about it.</span></div><div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#a5abf335ef40d3fed8a003fdc92997615">   83</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a5abf335ef40d3fed8a003fdc92997615">m_generateClientOutput</a>; </div><div class="line"><a name="l00084"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#adbc1e20ed8e905967286e57a9f738b76">   84</a></span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#adbc1e20ed8e905967286e57a9f738b76">m_generateServerOutput</a>; </div><div class="line"><a name="l00087"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#a7464d1f0ab450c5a8de885a0b8b34f88">   87</a></span>&#160;    std::vector&lt;ListType *&gt; <a class="code" href="classerpcgen_1_1_c_generator.html#a7464d1f0ab450c5a8de885a0b8b34f88">m_listBinaryTypes</a>;  </div><div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="classerpcgen_1_1_c_generator.html#a7429e3fca7d2e93af8d1eb8b010a868c">   94</a></span>&#160;    std::vector&lt;StructType *&gt; <a class="code" href="classerpcgen_1_1_c_generator.html#a7429e3fca7d2e93af8d1eb8b010a868c">m_structListTypes</a>; </div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a0b96d521f7b89027bad043e6425efdce">parseSubtemplates</a>();</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a1f790fe2fbff087532c4d89ebaca0dcc">generateOutputFiles</a>(<span class="keyword">const</span> std::string &amp;fileNameExtension);</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a7300fa3425fed7c2acd734fb41ffb104">generateCommonHeaderFile</a>(std::string fileName);</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a86886af52e1b3ff7d6eb07a66ddc255b">generateClientSourceFile</a>(std::string fileName);</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a01079ed7ef699e70a3813bd1846fc080">generateServerHeaderFile</a>(std::string fileName);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#ac0c4e6e1da39404fe7f8f43243fdb722">generateServerSourceFile</a>(std::string fileName);</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a46304fb53e83a7c54618da6baba140c9">transformBinaryDataType</a>();</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a2b2b882b583dd2ac8655189a9ffee44d">transformDataTypes</a>();</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *<a class="code" href="classerpcgen_1_1_c_generator.html#a623fc353597582c1f0ad03f3b639e30e">transformDataType</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType, _param_direction direction);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a53cbcb854552ed72c84fd44ba02a8584">setBinaryList</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#ab2661d944ae53d2736acb2f399aa4108">getFunctionTemplateData</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn, <span class="keywordtype">int</span> fnIndex);</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a56e771f73ad9cc20a2a5c96179e256bc">getInterfaceComments</a>(<a class="code" href="classerpcgen_1_1_interface.html">Interface</a> *iface,  <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;ifaceInfo);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a6024475fb47eda08cc16cfe4b83d013f">makeConstTemplateData</a>();</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    <span class="comment">// Functions that populate type-specific template data</span></div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#afb12138a3bc92f4ee3d22d7cae102afe">makeStructsTemplateData</a>();</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#ae577195c00823172ba006ac651dc14a6">getStructTemplateData</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType);</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;</div><div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a338ac4ce16f5415665e175b047db7f1f">setStructMembersTemplateData</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType, <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;structInfo);</div><div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;</div><div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a9d741c67df5779d0bd804abb8de98ce6">makeEnumsTemplateData</a>();</div><div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;</div><div class="line"><a name="l00262"></a><span class="lineno">  262</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#a7c752d19c7a9d36d23718224986b4096">getEnumTemplateData</a>(<a class="code" href="classerpcgen_1_1_enum_type.html">EnumType</a> *enumType);</div><div class="line"><a name="l00263"></a><span class="lineno">  263</span>&#160;</div><div class="line"><a name="l00274"></a><span class="lineno">  274</span>&#160;    cpptempl::data_list <a class="code" href="classerpcgen_1_1_c_generator.html#adbe55ddeb9507be1fef87e81b656c52a">getEnumMembersTemplateData</a>(<a class="code" href="classerpcgen_1_1_enum_type.html">EnumType</a> *enumType);</div><div class="line"><a name="l00275"></a><span class="lineno">  275</span>&#160;</div><div class="line"><a name="l00282"></a><span class="lineno">  282</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#af23a35e009e8985332b0410ccebae2e5">makeAliasesTemplateData</a>();</div><div class="line"><a name="l00283"></a><span class="lineno">  283</span>&#160;</div><div class="line"><a name="l00289"></a><span class="lineno">  289</span>&#160;    <a class="code" href="classerpcgen_1_1_alias_type.html">AliasType</a> *<a class="code" href="classerpcgen_1_1_c_generator.html#ab644d8f72d63c915cd38b354b424becb">getAliasType</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00290"></a><span class="lineno">  290</span>&#160;</div><div class="line"><a name="l00296"></a><span class="lineno">  296</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#abe41ea641ae5b4423347598d7da28693">getAliasName</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00297"></a><span class="lineno">  297</span>&#160;</div><div class="line"><a name="l00310"></a><span class="lineno">  310</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#a90e41b20a5b43f19dd05ed6f1b519360">getTypeInfo</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *t, <span class="keywordtype">bool</span> isFunction);</div><div class="line"><a name="l00311"></a><span class="lineno">  311</span>&#160;</div><div class="line"><a name="l00319"></a><span class="lineno">  319</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a587f0f668869323f6bbd109d75a49cb6">getErrorReturnValue</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn);</div><div class="line"><a name="l00320"></a><span class="lineno">  320</span>&#160;</div><div class="line"><a name="l00328"></a><span class="lineno">  328</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a3df7b53d1942c4ea09376a08096ef201">getFunctionPrototype</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn);</div><div class="line"><a name="l00329"></a><span class="lineno">  329</span>&#160;</div><div class="line"><a name="l00337"></a><span class="lineno">  337</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a5db64bd610949d6012d4ef57416aecaa">getFunctionServerCall</a>(<a class="code" href="classerpcgen_1_1_function.html">Function</a> *fn);</div><div class="line"><a name="l00338"></a><span class="lineno">  338</span>&#160;</div><div class="line"><a name="l00346"></a><span class="lineno">  346</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a640c9dbc6472a061891df256bfc23c27">generateIncludeGuardName</a>(<span class="keyword">const</span> std::string &amp;filename);</div><div class="line"><a name="l00347"></a><span class="lineno">  347</span>&#160;</div><div class="line"><a name="l00355"></a><span class="lineno">  355</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#ab42d9d112c1bbbe531176a7fcad7d410">getBuiltinTypename</a>(<span class="keyword">const</span> <a class="code" href="classerpcgen_1_1_builtin_type.html">BuiltinType</a> *t);</div><div class="line"><a name="l00356"></a><span class="lineno">  356</span>&#160;</div><div class="line"><a name="l00371"></a><span class="lineno">  371</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#ad762335d91574ac8661d0cf7d46ef207">getTypenameName</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *t, <span class="keyword">const</span> std::string &amp;name);</div><div class="line"><a name="l00372"></a><span class="lineno">  372</span>&#160;</div><div class="line"><a name="l00388"></a><span class="lineno">  388</span>&#160;    <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> <a class="code" href="classerpcgen_1_1_c_generator.html#a5891036b6cf1b38c021b92b8b8337f9f">getEncodeDecodeCall</a>(<span class="keyword">const</span> std::string &amp;name,</div><div class="line"><a name="l00389"></a><span class="lineno">  389</span>&#160;                                           <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *t,</div><div class="line"><a name="l00390"></a><span class="lineno">  390</span>&#160;                                           <a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType,</div><div class="line"><a name="l00391"></a><span class="lineno">  391</span>&#160;                                           <span class="keywordtype">bool</span> inDataContainer,</div><div class="line"><a name="l00392"></a><span class="lineno">  392</span>&#160;                                           <a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember,</div><div class="line"><a name="l00393"></a><span class="lineno">  393</span>&#160;                                           <span class="keywordtype">bool</span> &amp;containsEnum,</div><div class="line"><a name="l00394"></a><span class="lineno">  394</span>&#160;                                           <span class="keywordtype">bool</span> isFunctionParam);</div><div class="line"><a name="l00395"></a><span class="lineno">  395</span>&#160;</div><div class="line"><a name="l00405"></a><span class="lineno">  405</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#aaa69437662bb894cc0e2ec4c4b2bb2c6">getEncodeDecodeBuiltin</a>(<a class="code" href="classerpcgen_1_1_builtin_type.html">BuiltinType</a> *t,</div><div class="line"><a name="l00406"></a><span class="lineno">  406</span>&#160;                                <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;templateData,</div><div class="line"><a name="l00407"></a><span class="lineno">  407</span>&#160;                                <a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType,</div><div class="line"><a name="l00408"></a><span class="lineno">  408</span>&#160;                                <a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember,</div><div class="line"><a name="l00409"></a><span class="lineno">  409</span>&#160;                                <span class="keywordtype">bool</span> isFunctionParam);</div><div class="line"><a name="l00410"></a><span class="lineno">  410</span>&#160;</div><div class="line"><a name="l00418"></a><span class="lineno">  418</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a7ce55201f189cda01982abf8d70b104a">giveBracesToArrays</a>(std::string &amp;name);</div><div class="line"><a name="l00419"></a><span class="lineno">  419</span>&#160;</div><div class="line"><a name="l00429"></a><span class="lineno">  429</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a4a8123efe2fd83bb09c57b296ea5f9d7">getExtraDirectionPointer</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00430"></a><span class="lineno">  430</span>&#160;</div><div class="line"><a name="l00440"></a><span class="lineno">  440</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#af3bc04eee5f3a88333cbad2cd60ec4fe">getExtraPointerInReturn</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00441"></a><span class="lineno">  441</span>&#160;</div><div class="line"><a name="l00452"></a><span class="lineno">  452</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a782115fb8645c884d2a83add0a4611ad">firstAllocOnServerWhenIsNeed</a>(std::string name, <a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00453"></a><span class="lineno">  453</span>&#160;</div><div class="line"><a name="l00462"></a><span class="lineno">  462</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a4b582ef9e34ea53afdbc7092041ee11e">firtAllocOutParamOnServerWhenIsNeed</a>(std::string name, <a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00463"></a><span class="lineno">  463</span>&#160;</div><div class="line"><a name="l00474"></a><span class="lineno">  474</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#accad1521cae3872b292c093121ca3733">firstAllocOnClientWhenIsNeed</a>(std::string name, <a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00475"></a><span class="lineno">  475</span>&#160;</div><div class="line"><a name="l00486"></a><span class="lineno">  486</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a389d6e1bed0a1ba40937283ee6d86965">firstAllocOnReturnWhenIsNeed</a>(std::string name, <a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00487"></a><span class="lineno">  487</span>&#160;</div><div class="line"><a name="l00497"></a><span class="lineno">  497</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a1678b95581db44fabeebb157e731ae44">allocateCall</a>(<span class="keywordtype">bool</span> pointer, std::string &amp;name, <a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbol);</div><div class="line"><a name="l00498"></a><span class="lineno">  498</span>&#160;</div><div class="line"><a name="l00509"></a><span class="lineno">  509</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#ac0a53bfac37e277b29aff55d3cc6883b">setToCore</a>(<a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbolType,</div><div class="line"><a name="l00510"></a><span class="lineno">  510</span>&#160;                   cpptempl::data_list &amp;to1Core,</div><div class="line"><a name="l00511"></a><span class="lineno">  511</span>&#160;                   cpptempl::data_list &amp;to2Core,</div><div class="line"><a name="l00512"></a><span class="lineno">  512</span>&#160;                   <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;dataMap);</div><div class="line"><a name="l00513"></a><span class="lineno">  513</span>&#160;</div><div class="line"><a name="l00526"></a><span class="lineno">  526</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a5550963c282367d4cead05d19c142585">getMaxLength</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00527"></a><span class="lineno">  527</span>&#160;</div><div class="line"><a name="l00536"></a><span class="lineno">  536</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#abe661f9679a3693f67b60a3508a684e4">isNeedCallFree</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00537"></a><span class="lineno">  537</span>&#160;</div><div class="line"><a name="l00547"></a><span class="lineno">  547</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a369f5654bd2fd3e76d34ca145218f6ae">setCallingFreeFunctions</a>(<a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbol, <a class="code" href="classcpptempl_1_1data__map.html">cpptempl::data_map</a> &amp;info);</div><div class="line"><a name="l00548"></a><span class="lineno">  548</span>&#160;</div><div class="line"><a name="l00556"></a><span class="lineno">  556</span>&#160;    std::string <a class="code" href="classerpcgen_1_1_c_generator.html#a1a8e309be1695bcc3867e20463b0129a">returnSpaceWhenNotEmpty</a>(<span class="keyword">const</span> std::string &amp;param);</div><div class="line"><a name="l00557"></a><span class="lineno">  557</span>&#160;</div><div class="line"><a name="l00568"></a><span class="lineno">  568</span>&#160;    uint8_t <a class="code" href="classerpcgen_1_1_c_generator.html#a5050ee35493541e3e0a16cbb59b60c7a">getDirection</a>(<a class="code" href="classerpcgen_1_1_symbol.html">Symbol</a> *symbolType);</div><div class="line"><a name="l00569"></a><span class="lineno">  569</span>&#160;</div><div class="line"><a name="l00580"></a><span class="lineno">  580</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a87b2f764972606f2cbdb0c3215550b11">containsString</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00581"></a><span class="lineno">  581</span>&#160;</div><div class="line"><a name="l00592"></a><span class="lineno">  592</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a3950f67c2f50bba8345108076b3c2be1">containsList</a>(<a class="code" href="classerpcgen_1_1_data_type.html">DataType</a> *dataType);</div><div class="line"><a name="l00593"></a><span class="lineno">  593</span>&#160;</div><div class="line"><a name="l00604"></a><span class="lineno">  604</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a2332c21014b31adb8e40ea3b9c6b40b6">isBinaryStruct</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType);</div><div class="line"><a name="l00605"></a><span class="lineno">  605</span>&#160;</div><div class="line"><a name="l00616"></a><span class="lineno">  616</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a37d5531567864298a6846b54ef7e3d0e">isBinaryList</a>(<a class="code" href="classerpcgen_1_1_list_type.html">ListType</a> *listType);</div><div class="line"><a name="l00617"></a><span class="lineno">  617</span>&#160;</div><div class="line"><a name="l00626"></a><span class="lineno">  626</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a9d025ca5180ad6d5984ecc17da05dfd6">isListStruct</a>(<a class="code" href="classerpcgen_1_1_struct_type.html">StructType</a> *structType);</div><div class="line"><a name="l00627"></a><span class="lineno">  627</span>&#160;</div><div class="line"><a name="l00639"></a><span class="lineno">  639</span>&#160;    <span class="keywordtype">bool</span> <a class="code" href="classerpcgen_1_1_c_generator.html#a0b388801d89a04a8da3ef0c0476cf921">generateServerFunctionParamFreeFunctions</a>(<a class="code" href="classerpcgen_1_1_struct_member.html">StructMember</a> *structMember);</div><div class="line"><a name="l00640"></a><span class="lineno">  640</span>&#160;};</div><div class="line"><a name="l00641"></a><span class="lineno">  641</span>&#160;} <span class="comment">// namespace erpcgen</span></div><div class="line"><a name="l00642"></a><span class="lineno">  642</span>&#160;</div><div class="line"><a name="l00643"></a><span class="lineno">  643</span>&#160;<span class="preprocessor">#endif // _EMBEDDED_RPC__CGENERATOR_H_</span></div><div class="ttc" id="classerpcgen_1_1_interface_definition_html"><div class="ttname"><a href="classerpcgen_1_1_interface_definition.html">erpcgen::InterfaceDefinition</a></div><div class="ttdoc">Collects all definitions from an IDL. </div><div class="ttdef"><b>Definition:</b> InterfaceDefinition.h:52</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a4b582ef9e34ea53afdbc7092041ee11e"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a4b582ef9e34ea53afdbc7092041ee11e">erpcgen::CGenerator::firtAllocOutParamOnServerWhenIsNeed</a></div><div class="ttdeci">std::string firtAllocOutParamOnServerWhenIsNeed(std::string name, StructMember *structMember)</div><div class="ttdoc">This function call first erpc_alloc on server side for parameters if it is need (only out param)...</div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1851</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a53cbcb854552ed72c84fd44ba02a8584"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a53cbcb854552ed72c84fd44ba02a8584">erpcgen::CGenerator::setBinaryList</a></div><div class="ttdeci">void setBinaryList(StructMember *structMember)</div><div class="ttdoc">This function transform binary data type to list and set annotation to it. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:397</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a46304fb53e83a7c54618da6baba140c9"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a46304fb53e83a7c54618da6baba140c9">erpcgen::CGenerator::transformBinaryDataType</a></div><div class="ttdeci">void transformBinaryDataType()</div><div class="ttdoc">This function transforms binary data type to list or structure. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:158</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_afb12138a3bc92f4ee3d22d7cae102afe"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#afb12138a3bc92f4ee3d22d7cae102afe">erpcgen::CGenerator::makeStructsTemplateData</a></div><div class="ttdeci">void makeStructsTemplateData()</div><div class="ttdoc">This function sets structures template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:656</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a5891036b6cf1b38c021b92b8b8337f9f"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a5891036b6cf1b38c021b92b8b8337f9f">erpcgen::CGenerator::getEncodeDecodeCall</a></div><div class="ttdeci">cpptempl::data_map getEncodeDecodeCall(const std::string &amp;name, DataType *t, StructType *structType, bool inDataContainer, StructMember *structMember, bool &amp;containsEnum, bool isFunctionParam)</div><div class="ttdoc">This function return necessary template data for decode and encode data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1431</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ad762335d91574ac8661d0cf7d46ef207"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ad762335d91574ac8661d0cf7d46ef207">erpcgen::CGenerator::getTypenameName</a></div><div class="ttdeci">std::string getTypenameName(DataType *t, const std::string &amp;name)</div><div class="ttdoc">This function set to variable returnName type or type with variable name. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1236</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a369f5654bd2fd3e76d34ca145218f6ae"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a369f5654bd2fd3e76d34ca145218f6ae">erpcgen::CGenerator::setCallingFreeFunctions</a></div><div class="ttdeci">void setCallingFreeFunctions(Symbol *symbol, cpptempl::data_map &amp;info)</div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1943</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a7300fa3425fed7c2acd734fb41ffb104"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a7300fa3425fed7c2acd734fb41ffb104">erpcgen::CGenerator::generateCommonHeaderFile</a></div><div class="ttdeci">void generateCommonHeaderFile(std::string fileName)</div><div class="ttdoc">This function generate output common header file. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:88</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_member_html"><div class="ttname"><a href="classerpcgen_1_1_struct_member.html">erpcgen::StructMember</a></div><div class="ttdoc">Member of a struct. </div><div class="ttdef"><b>Definition:</b> StructMember.h:61</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a3950f67c2f50bba8345108076b3c2be1"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a3950f67c2f50bba8345108076b3c2be1">erpcgen::CGenerator::containsList</a></div><div class="ttdeci">bool containsList(DataType *dataType)</div><div class="ttdoc">This function check, if data type contains list data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2172</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_aaa69437662bb894cc0e2ec4c4b2bb2c6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#aaa69437662bb894cc0e2ec4c4b2bb2c6">erpcgen::CGenerator::getEncodeDecodeBuiltin</a></div><div class="ttdeci">void getEncodeDecodeBuiltin(BuiltinType *t, cpptempl::data_map &amp;templateData, StructType *structType, StructMember *structMember, bool isFunctionParam)</div><div class="ttdoc">This function add to template data, which kind of BuiltinType is data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1370</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a9d025ca5180ad6d5984ecc17da05dfd6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a9d025ca5180ad6d5984ecc17da05dfd6">erpcgen::CGenerator::isListStruct</a></div><div class="ttdeci">bool isListStruct(StructType *structType)</div><div class="ttdoc">This function returns true when structure is used as a wrapper for list type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2214</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a0b96d521f7b89027bad043e6425efdce"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a0b96d521f7b89027bad043e6425efdce">erpcgen::CGenerator::parseSubtemplates</a></div><div class="ttdeci">void parseSubtemplates()</div><div class="ttdoc">This function prepare helpful functions located in template files. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:141</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a37d5531567864298a6846b54ef7e3d0e"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a37d5531567864298a6846b54ef7e3d0e">erpcgen::CGenerator::isBinaryList</a></div><div class="ttdeci">bool isBinaryList(ListType *listType)</div><div class="ttdoc">This function returns true when list was created for replacing binary type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2244</div></div>
<div class="ttc" id="classerpcgen_1_1_alias_type_html"><div class="ttname"><a href="classerpcgen_1_1_alias_type.html">erpcgen::AliasType</a></div><div class="ttdoc">Typedef. </div><div class="ttdef"><b>Definition:</b> AliasType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a56e771f73ad9cc20a2a5c96179e256bc"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a56e771f73ad9cc20a2a5c96179e256bc">erpcgen::CGenerator::getInterfaceComments</a></div><div class="ttdeci">void getInterfaceComments(Interface *iface, cpptempl::data_map &amp;ifaceInfo)</div><div class="ttdoc">This function will get interface comments and convert to language specific ones. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:801</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_abb4d628bac4faeb30f1570212b620e0c"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#abb4d628bac4faeb30f1570212b620e0c">erpcgen::CGenerator::CGenerator</a></div><div class="ttdeci">CGenerator(InterfaceDefinition *def)</div><div class="ttdoc">This function is constructor of CGenerator class. </div><div class="ttdef"><b>Definition:</b> CGenerator.h:58</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a782115fb8645c884d2a83add0a4611ad"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a782115fb8645c884d2a83add0a4611ad">erpcgen::CGenerator::firstAllocOnServerWhenIsNeed</a></div><div class="ttdeci">std::string firstAllocOnServerWhenIsNeed(std::string name, StructMember *structMember)</div><div class="ttdoc">This function call first erpc_alloc on server side for parameters if it is need (except out param)...</div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1812</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_abe661f9679a3693f67b60a3508a684e4"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#abe661f9679a3693f67b60a3508a684e4">erpcgen::CGenerator::isNeedCallFree</a></div><div class="ttdeci">bool isNeedCallFree(DataType *dataType)</div><div class="ttdoc">This function returns true, when given data type need be freed. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1891</div></div>
<div class="ttc" id="classerpcgen_1_1_builtin_type_html"><div class="ttname"><a href="classerpcgen_1_1_builtin_type.html">erpcgen::BuiltinType</a></div><div class="ttdoc">Represents the builtin atomic types. </div><div class="ttdef"><b>Definition:</b> BuiltinType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a623fc353597582c1f0ad03f3b639e30e"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a623fc353597582c1f0ad03f3b639e30e">erpcgen::CGenerator::transformDataType</a></div><div class="ttdeci">DataType * transformDataType(DataType *dataType, _param_direction direction)</div><div class="ttdoc">This function change list and binary data type to structure. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:178</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a5550963c282367d4cead05d19c142585"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a5550963c282367d4cead05d19c142585">erpcgen::CGenerator::getMaxLength</a></div><div class="ttdeci">std::string getMaxLength(StructMember *structMember)</div><div class="ttdoc">This function return information from eRPC file about maximum size of element. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1425</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a1678b95581db44fabeebb157e731ae44"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a1678b95581db44fabeebb157e731ae44">erpcgen::CGenerator::allocateCall</a></div><div class="ttdeci">std::string allocateCall(bool pointer, std::string &amp;name, Symbol *symbol)</div><div class="ttdoc">This function return call for alloc space based on given data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1998</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ac0c4e6e1da39404fe7f8f43243fdb722"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ac0c4e6e1da39404fe7f8f43243fdb722">erpcgen::CGenerator::generateServerSourceFile</a></div><div class="ttdeci">void generateServerSourceFile(std::string fileName)</div><div class="ttdoc">This function generate output server source file. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:133</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_aaf2db6f44ddc5540171b63089d4f2fbd"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#aaf2db6f44ddc5540171b63089d4f2fbd">erpcgen::CGenerator::m_templateData</a></div><div class="ttdeci">cpptempl::data_map m_templateData</div><div class="ttdef"><b>Definition:</b> CGenerator.h:80</div></div>
<div class="ttc" id="classerpcgen_1_1_struct_type_html"><div class="ttname"><a href="classerpcgen_1_1_struct_type.html">erpcgen::StructType</a></div><div class="ttdoc">Structure data type. </div><div class="ttdef"><b>Definition:</b> StructType.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_function_html"><div class="ttname"><a href="classerpcgen_1_1_function.html">erpcgen::Function</a></div><div class="ttdoc">Function declaration. </div><div class="ttdef"><b>Definition:</b> Function.h:51</div></div>
<div class="ttc" id="classerpcgen_1_1_symbol_html"><div class="ttname"><a href="classerpcgen_1_1_symbol.html">erpcgen::Symbol</a></div><div class="ttdoc">Base class for all named declarations in the IDL. </div><div class="ttdef"><b>Definition:</b> Symbol.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ab42d9d112c1bbbe531176a7fcad7d410"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ab42d9d112c1bbbe531176a7fcad7d410">erpcgen::CGenerator::getBuiltinTypename</a></div><div class="ttdeci">std::string getBuiltinTypename(const BuiltinType *t)</div><div class="ttdoc">This function return string representation for given BuiltinType. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1335</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a7ce55201f189cda01982abf8d70b104a"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a7ce55201f189cda01982abf8d70b104a">erpcgen::CGenerator::giveBracesToArrays</a></div><div class="ttdeci">void giveBracesToArrays(std::string &amp;name)</div><div class="ttdoc">This function encapsulate gave name, if it start with pointer. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1743</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ad9dfc9c3bcf1a98b668cbf448c8224ff"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ad9dfc9c3bcf1a98b668cbf448c8224ff">erpcgen::CGenerator::~CGenerator</a></div><div class="ttdeci">virtual ~CGenerator()</div><div class="ttdoc">This function is destructor of CGenerator class. </div><div class="ttdef"><b>Definition:</b> CGenerator.h:70</div></div>
<div class="ttc" id="classerpcgen_1_1_list_type_html"><div class="ttname"><a href="classerpcgen_1_1_list_type.html">erpcgen::ListType</a></div><div class="ttdoc">Variable length list of another data type. </div><div class="ttdef"><b>Definition:</b> ListType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a01079ed7ef699e70a3813bd1846fc080"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a01079ed7ef699e70a3813bd1846fc080">erpcgen::CGenerator::generateServerHeaderFile</a></div><div class="ttdeci">void generateServerHeaderFile(std::string fileName)</div><div class="ttdoc">This function generate output server header file. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:125</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a1a8e309be1695bcc3867e20463b0129a"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a1a8e309be1695bcc3867e20463b0129a">erpcgen::CGenerator::returnSpaceWhenNotEmpty</a></div><div class="ttdeci">std::string returnSpaceWhenNotEmpty(const std::string &amp;param)</div><div class="ttdoc">This function return space if given string is not empty. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2064</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a87b2f764972606f2cbdb0c3215550b11"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a87b2f764972606f2cbdb0c3215550b11">erpcgen::CGenerator::containsString</a></div><div class="ttdeci">bool containsString(DataType *dataType)</div><div class="ttdoc">This function check, if data type contains string data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2124</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a1f790fe2fbff087532c4d89ebaca0dcc"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a1f790fe2fbff087532c4d89ebaca0dcc">erpcgen::CGenerator::generateOutputFiles</a></div><div class="ttdeci">void generateOutputFiles(const std::string &amp;fileNameExtension)</div><div class="ttdoc">This function generate output files. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:65</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_abe41ea641ae5b4423347598d7da28693"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#abe41ea641ae5b4423347598d7da28693">erpcgen::CGenerator::getAliasName</a></div><div class="ttdeci">std::string getAliasName(DataType *dataType)</div><div class="ttdoc">This function returns alias name of given DataType. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:650</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a86886af52e1b3ff7d6eb07a66ddc255b"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a86886af52e1b3ff7d6eb07a66ddc255b">erpcgen::CGenerator::generateClientSourceFile</a></div><div class="ttdeci">void generateClientSourceFile(std::string fileName)</div><div class="ttdoc">This function generate output client source file. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:117</div></div>
<div class="ttc" id="classerpcgen_1_1_generator_html"><div class="ttname"><a href="classerpcgen_1_1_generator.html">erpcgen::Generator</a></div><div class="ttdoc">Abstract code generator base class. </div><div class="ttdef"><b>Definition:</b> Generator.h:63</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_adbc1e20ed8e905967286e57a9f738b76"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#adbc1e20ed8e905967286e57a9f738b76">erpcgen::CGenerator::m_generateServerOutput</a></div><div class="ttdeci">bool m_generateServerOutput</div><div class="ttdef"><b>Definition:</b> CGenerator.h:84</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a5db64bd610949d6012d4ef57416aecaa"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a5db64bd610949d6012d4ef57416aecaa">erpcgen::CGenerator::getFunctionServerCall</a></div><div class="ttdeci">std::string getFunctionServerCall(Function *fn)</div><div class="ttdoc">This function return interface function representation called by server side. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1096</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ab2661d944ae53d2736acb2f399aa4108"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ab2661d944ae53d2736acb2f399aa4108">erpcgen::CGenerator::getFunctionTemplateData</a></div><div class="ttdeci">cpptempl::data_map getFunctionTemplateData(Function *fn, int fnIndex)</div><div class="ttdoc">This function return interface function template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:807</div></div>
<div class="ttc" id="classerpcgen_1_1_data_type_html"><div class="ttname"><a href="classerpcgen_1_1_data_type.html">erpcgen::DataType</a></div><div class="ttdoc">Base class for data types. </div><div class="ttdef"><b>Definition:</b> DataType.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a338ac4ce16f5415665e175b047db7f1f"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a338ac4ce16f5415665e175b047db7f1f">erpcgen::CGenerator::setStructMembersTemplateData</a></div><div class="ttdeci">void setStructMembersTemplateData(StructType *structType, cpptempl::data_map &amp;structInfo)</div><div class="ttdoc">This function sets struct member information to struct data map variable. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:715</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_accad1521cae3872b292c093121ca3733"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#accad1521cae3872b292c093121ca3733">erpcgen::CGenerator::firstAllocOnClientWhenIsNeed</a></div><div class="ttdeci">std::string firstAllocOnClientWhenIsNeed(std::string name, StructMember *structMember)</div><div class="ttdoc">This function call first erpc_alloc function on client side for parameters if it is need...</div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1876</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a2332c21014b31adb8e40ea3b9c6b40b6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a2332c21014b31adb8e40ea3b9c6b40b6">erpcgen::CGenerator::isBinaryStruct</a></div><div class="ttdeci">bool isBinaryStruct(StructType *structType)</div><div class="ttdoc">This function returns true when structure is used as a wrapper for binary type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2227</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a4a8123efe2fd83bb09c57b296ea5f9d7"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a4a8123efe2fd83bb09c57b296ea5f9d7">erpcgen::CGenerator::getExtraDirectionPointer</a></div><div class="ttdeci">std::string getExtraDirectionPointer(StructMember *structMember)</div><div class="ttdoc">This function return &quot;*&quot;, if it is need. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1762</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a587f0f668869323f6bbd109d75a49cb6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a587f0f668869323f6bbd109d75a49cb6">erpcgen::CGenerator::getErrorReturnValue</a></div><div class="ttdeci">std::string getErrorReturnValue(Function *fn)</div><div class="ttdoc">This function returns error return value for given function. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1012</div></div>
<div class="ttc" id="classcpptempl_1_1data__map_html"><div class="ttname"><a href="classcpptempl_1_1data__map.html">cpptempl::data_map</a></div><div class="ttdef"><b>Definition:</b> cpptempl.h:190</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a0b388801d89a04a8da3ef0c0476cf921"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a0b388801d89a04a8da3ef0c0476cf921">erpcgen::CGenerator::generateServerFunctionParamFreeFunctions</a></div><div class="ttdeci">bool generateServerFunctionParamFreeFunctions(StructMember *structMember)</div><div class="ttdoc">This function returns true when &quot;retain&quot; annotation was set for function parameter. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2258</div></div>
<div class="ttc" id="classerpcgen_1_1_enum_type_html"><div class="ttname"><a href="classerpcgen_1_1_enum_type.html">erpcgen::EnumType</a></div><div class="ttdoc">Enumerate data type. </div><div class="ttdef"><b>Definition:</b> EnumType.h:49</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ae577195c00823172ba006ac651dc14a6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ae577195c00823172ba006ac651dc14a6">erpcgen::CGenerator::getStructTemplateData</a></div><div class="ttdeci">cpptempl::data_map getStructTemplateData(StructType *structType)</div><div class="ttdoc">This function return template data for given structure. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:688</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a7429e3fca7d2e93af8d1eb8b010a868c"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a7429e3fca7d2e93af8d1eb8b010a868c">erpcgen::CGenerator::m_structListTypes</a></div><div class="ttdeci">std::vector&lt; StructType * &gt; m_structListTypes</div><div class="ttdef"><b>Definition:</b> CGenerator.h:94</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_adbe55ddeb9507be1fef87e81b656c52a"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#adbe55ddeb9507be1fef87e81b656c52a">erpcgen::CGenerator::getEnumMembersTemplateData</a></div><div class="ttdeci">cpptempl::data_list getEnumMembersTemplateData(EnumType *enumType)</div><div class="ttdoc">This function return enum members template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:527</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a640c9dbc6472a061891df256bfc23c27"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a640c9dbc6472a061891df256bfc23c27">erpcgen::CGenerator::generateIncludeGuardName</a></div><div class="ttdeci">std::string generateIncludeGuardName(const std::string &amp;filename)</div><div class="ttdoc">This function return name with guard. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1213</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a90e41b20a5b43f19dd05ed6f1b519360"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a90e41b20a5b43f19dd05ed6f1b519360">erpcgen::CGenerator::getTypeInfo</a></div><div class="ttdeci">cpptempl::data_map getTypeInfo(DataType *t, bool isFunction)</div><div class="ttdoc">This function return necessary template data for data type. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1005</div></div>
<div class="ttc" id="classerpcgen_1_1_interface_html"><div class="ttname"><a href="classerpcgen_1_1_interface.html">erpcgen::Interface</a></div><div class="ttdoc">An interface that contains functions. </div><div class="ttdef"><b>Definition:</b> Interface.h:50</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a5abf335ef40d3fed8a003fdc92997615"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a5abf335ef40d3fed8a003fdc92997615">erpcgen::CGenerator::m_generateClientOutput</a></div><div class="ttdeci">bool m_generateClientOutput</div><div class="ttdef"><b>Definition:</b> CGenerator.h:83</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a389d6e1bed0a1ba40937283ee6d86965"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a389d6e1bed0a1ba40937283ee6d86965">erpcgen::CGenerator::firstAllocOnReturnWhenIsNeed</a></div><div class="ttdeci">std::string firstAllocOnReturnWhenIsNeed(std::string name, DataType *dataType)</div><div class="ttdoc">This function call first erpc_alloc on client side return statement if it is need. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1801</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html">erpcgen::CGenerator</a></div><div class="ttdoc">Code generator for C. </div><div class="ttdef"><b>Definition:</b> CGenerator.h:48</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a2b2b882b583dd2ac8655189a9ffee44d"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a2b2b882b583dd2ac8655189a9ffee44d">erpcgen::CGenerator::transformDataTypes</a></div><div class="ttdeci">void transformDataTypes()</div><div class="ttdoc">This function transforms data types to structures. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:364</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a6024475fb47eda08cc16cfe4b83d013f"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a6024475fb47eda08cc16cfe4b83d013f">erpcgen::CGenerator::makeConstTemplateData</a></div><div class="ttdeci">void makeConstTemplateData()</div><div class="ttdoc">This function sets const template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:461</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_af3bc04eee5f3a88333cbad2cd60ec4fe"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#af3bc04eee5f3a88333cbad2cd60ec4fe">erpcgen::CGenerator::getExtraPointerInReturn</a></div><div class="ttdeci">std::string getExtraPointerInReturn(DataType *dataType)</div><div class="ttdoc">This function return &quot;*&quot;, if it is need. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1751</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ab9c6578a4bc52f0f722ce98fc6b74700"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ab9c6578a4bc52f0f722ce98fc6b74700">erpcgen::CGenerator::generate</a></div><div class="ttdeci">virtual void generate()</div><div class="ttdoc">This function generate output code for output files. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:414</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a7c752d19c7a9d36d23718224986b4096"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a7c752d19c7a9d36d23718224986b4096">erpcgen::CGenerator::getEnumTemplateData</a></div><div class="ttdeci">cpptempl::data_map getEnumTemplateData(EnumType *enumType)</div><div class="ttdoc">This function return template data for given enum. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:517</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ac0a53bfac37e277b29aff55d3cc6883b"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ac0a53bfac37e277b29aff55d3cc6883b">erpcgen::CGenerator::setToCore</a></div><div class="ttdeci">void setToCore(Symbol *symbolType, cpptempl::data_list &amp;to1Core, cpptempl::data_list &amp;to2Core, cpptempl::data_map &amp;dataMap)</div><div class="ttdoc">This function will add to given lists given map based on given by symbol direction. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:974</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a5050ee35493541e3e0a16cbb59b60c7a"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a5050ee35493541e3e0a16cbb59b60c7a">erpcgen::CGenerator::getDirection</a></div><div class="ttdeci">uint8_t getDirection(Symbol *symbolType)</div><div class="ttdoc">This function will return number, which represent type of direction for structures or functions param...</div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:2069</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_ab644d8f72d63c915cd38b354b424becb"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#ab644d8f72d63c915cd38b354b424becb">erpcgen::CGenerator::getAliasType</a></div><div class="ttdeci">AliasType * getAliasType(DataType *dataType)</div><div class="ttdoc">This function returns alias type of given DataType. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:635</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_af23a35e009e8985332b0410ccebae2e5"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#af23a35e009e8985332b0410ccebae2e5">erpcgen::CGenerator::makeAliasesTemplateData</a></div><div class="ttdeci">void makeAliasesTemplateData()</div><div class="ttdoc">This function sets alias (type definition) template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:554</div></div>
<div class="ttc" id="namespaceerpcgen_html"><div class="ttname"><a href="namespaceerpcgen.html">erpcgen</a></div><div class="ttdef"><b>Definition:</b> AstNode.h:47</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a9d741c67df5779d0bd804abb8de98ce6"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a9d741c67df5779d0bd804abb8de98ce6">erpcgen::CGenerator::makeEnumsTemplateData</a></div><div class="ttdeci">void makeEnumsTemplateData()</div><div class="ttdoc">This function sets enum template data. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:497</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a3df7b53d1942c4ea09376a08096ef201"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a3df7b53d1942c4ea09376a08096ef201">erpcgen::CGenerator::getFunctionPrototype</a></div><div class="ttdeci">std::string getFunctionPrototype(Function *fn)</div><div class="ttdoc">This function return interface function prototype. </div><div class="ttdef"><b>Definition:</b> CGenerator.cpp:1138</div></div>
<div class="ttc" id="classerpcgen_1_1_c_generator_html_a7464d1f0ab450c5a8de885a0b8b34f88"><div class="ttname"><a href="classerpcgen_1_1_c_generator.html#a7464d1f0ab450c5a8de885a0b8b34f88">erpcgen::CGenerator::m_listBinaryTypes</a></div><div class="ttdeci">std::vector&lt; ListType * &gt; m_listBinaryTypes</div><div class="ttdef"><b>Definition:</b> CGenerator.h:87</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- HTML footer for doxygen 1.8.5-->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul class="foot">
    <li class="footer">&copy; 2016 NXP Semiconductors. All rights reserved.
    </li>
  </ul>
</div>
</body>
</html>
